### Method

# AppStream Component set_context

since: 0.11.2

#### Declaration [src]

    void
    as_component_set_context (
      AsComponent* cpt,
      AsContext* context
    )

#### Description [src]

Sets the document context this component is associated with.

Available since: 0.11.2

#### Parameters

`context`

  Type: `AsContext`

  The `AsContext`.

  The data is owned by the caller of the method.